# Interface ConstantValueEntry

All Superinterfaces:
  `LoadableConstantEntry, PoolEntry`

All Known Subinterfaces:
  `DoubleEntry, FloatEntry, IntegerEntry, LongEntry, StringEntry`

public sealed interface ConstantValueEntry extends LoadableConstantEntry permits DoubleEntry, FloatEntry, IntegerEntry, LongEntry, StringEntry
Marker interface for constant pool entries that can represent constant values in the `ConstantValue` attribute.

Since:
  24
See Also:
  - `ConstantPoolBuilder::constantValueEntry`

- ## Field Summary

  ### Fields declared in interface PoolEntry

  `TAG_CLASS, TAG_DOUBLE, TAG_DYNAMIC, TAG_FIELDREF, TAG_FLOAT, TAG_INTEGER, TAG_INTERFACE_METHODREF, TAG_INVOKE_DYNAMIC, TAG_LONG, TAG_METHOD_HANDLE, TAG_METHOD_TYPE, TAG_METHODREF, TAG_MODULE, TAG_NAME_AND_TYPE, TAG_PACKAGE, TAG_STRING, TAG_UTF8`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConstantDesc`
  `constantValue()`
  Returns the constant value.

  ### Methods declared in interface LoadableConstantEntry

  `typeKind`

  ### Methods declared in interface PoolEntry

  `constantPool, index, tag, width`

- ## Method Details

  - ### constantValue

    ConstantDesc constantValue()
    Returns the constant value. The constant value will be an `Integer`, `Long`, `Float`, `Double`, or `String`.
    Specified by:
      `constantValue` in interface `LoadableConstantEntry`
    Returns:
      the constant value
    See Also:
      - `ConstantPoolBuilder.constantValueEntry(ConstantDesc)`